"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
exports.createFileFromTemplate = (args) => {
    const { templatePath, outPath, params, } = args;
    let content = fs_1.readFileSync(templatePath, { encoding: 'utf-8' });
    if (params) {
        Object.keys(params).forEach((key) => {
            content = content.replace(new RegExp(`<__${key}__>`, 'g'), params[key]);
        });
    }
    fs_1.writeFileSync(outPath, content);
};
