import { Command, flags } from '@oclif/command';
declare class CreateTsProject extends Command {
    static description: string;
    static flags: {
        version: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        projectName: flags.IOptionFlag<string | undefined>;
        projectType: flags.IOptionFlag<string | undefined>;
        authorName: flags.IOptionFlag<string | undefined>;
        email: flags.IOptionFlag<string | undefined>;
        githubUser: flags.IOptionFlag<string | undefined>;
        init: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
}
export = CreateTsProject;
